#ifndef _MX1_BOARDINIT_H
#define _MX1_BOARDINIT_H

unsigned char *mx1_lcd_base_addr;

void sl_udelay(long wait);

void sl_prepare4appstart(void);

int mx1_sdram_init(void);

void mx1_sdram_halt(void);

void mx1_sdram_refresh_off(void);

int mx1_hw_init(void);

void mx1_ioports_init(void);

int mx1_get_boot_select(void);

void mx1_lcd_buff_enable(int val);

void mx1_kbd_led_switch_off(void);

void mx1_kbd_led_shadow_wr(void);

void mx1_lcd_backlight_set(int val);

void mx1_lcd_contrast_set(int val);

void mx1_kbd_led_set(int val);

void mx1_kbd_led_modify(int mask_val, int xor_val);

int mx1_lcd_gray_pallet_set(int max);

int mx1_lcd_init(void);

int mx1_uart1_init(void);

int mx1_uart2_init(void);

int mx1_hw_mclk_on(void);

int mx1_power_button_state(void);

/* power down processing */

void mx1_setup_irq_on_power_on(void);

void mx1_sleep(void);

/* reset source processing */

void reset_reason_set(unsigned long word1, unsigned long word2);

int reset_reason_get(unsigned long *pword1, unsigned long *pword2);

#endif /*_MX1_BOARDINIT_H*/
