/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Copyright (C) 2002 Motorola Semiconductors HK Ltd
 *
 */

#ifndef USB_P_VAR_INC
#define USB_P_VAR_INC

//#include "prototype.h"
#include "type.h"

extern U8               _gUsbMode;              // operation mode of driver
extern U8               _gUsbDrvStatus[2];      // Drive status
//extern P_USB_CALLBACKS  _gUsbCallbacks;         // callback functions provided by caller
extern P_U8             _gpUsbBufPtr;           // pointer to buffer data
extern U32              _gUsbNumSector;         // number of sector to read/write
extern U32              _gUsbCurSector;         // current sector being read/write
extern U32              _gUsbPacketCount;       // USB packet count
extern U8					_gCBW[31];					// command block wrapper

#endif
